[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFindDialog.FindClick

Implements the OnClick event handler for the Find button on the dialog.

## Declaration

Source position: dialogs.pp line 495

`protected procedure TFindDialog.FindClick(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object (TFindDialog) for the event notification.

## Description

FindClick is a method which implements the event handler signalled when the Find button on the dialog form is clicked.

FindClick calls GetFormValues to update Options from the settings on the internal form instance for the dialog. It also ensures that Options contains only find-related enumeration values, and not those intended for a replace dialog.

FindClick calls Find to signal the OnFind event handler (when assigned).

The method is assigned to the OnClick event handler for the Find button in the CreateForm method.

## See also

TFindDialog.GetFormValues |  | Retrieves values from the dialog form and stores them in the properties for the class instance.
TFindDialog.Options |  | Contains the find / replace options enabled for the dialog.
TFindDialog.Find |  | Signals the OnFind event handler when the Find button is clicked on the dialog form.
TFindDialog.OnFind |  | Event handler signalled when the Find button is clicked on the dialog form.
TFindDialog.CreateForm |  | Creates and configures the internal form displayed for the dialog.
TFindOption |  | A list of possible options which can be used in Find dialogs.
TButton.OnClick |  | Notification handler for mouse clicks.